This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 886493

Summary: memory leak
Product: [Fedora] Fedora Reporter: Michal Hlavinka <mhlavink>
Component: cairoAssignee: Benjamin Otte <otte>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 18CC: otte
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-02-05 08:49:53 EST Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Michal Hlavinka 2012-12-12 07:25:26 EST
Description of problem:
Some time ago I noticed audacious consuming more and more memory, even when it does nothing. Checking with valgrind shows cairo leaks a lot of memory:


==2358== 167,824 bytes in 617 blocks are definitely lost in loss record 5,744 of 5,744
==2358==    at 0x4A0883C: malloc (vg_replace_malloc.c:270)
==2358==    by 0x30B164306A: ??? (in /usr/lib64/libpixman-1.so.0.26.2)
==2358==    by 0x30B161C7A2: pixman_image_create_bits (in /usr/lib64/libpixman-1.so.0.26.2)
==2358==    by 0x3DFC296E69: _cairo_xlib_shm_surface_create.isra.11 (cairo-xlib-surface-shm.c:768)
==2358==    by 0x3DFC297746: _cairo_xlib_surface_create_shm (cairo-xlib-surface-shm.c:1085)
==2358==    by 0x3DFC28E1D3: draw_image_boxes (cairo-xlib-render-compositor.c:296)
==2358==    by 0x3DFC2783EA: clip_and_composite_boxes (cairo-traps-compositor.c:1331)
==2358==    by 0x3DFC2792A6: _cairo_traps_compositor_fill (cairo-traps-compositor.c:2198)
==2358==    by 0x3DFC226209: _cairo_compositor_fill (cairo-compositor.c:203)
==2358==    by 0x3DFC2937E7: _cairo_xlib_surface_fill (cairo-xlib-surface.c:1594)
==2358==    by 0x3DFC266D03: _cairo_surface_fill (cairo-surface.c:2222)
==2358==    by 0x3DFC26BC01: _cairo_surface_offset_fill (cairo-surface-offset.c:239)

==2358== LEAK SUMMARY:
==2358==    definitely lost: 656,224 bytes in 2,434 blocks


Version-Release number of selected component (if applicable):
cairo-1.12.8-1.fc18.x86_64

How reproducible:
always

Steps to Reproduce:
1.valgrind --leak-check=full --track-origins=yes audacious 2> valgrind.log
2.just wait no need to play anything

  
Actual results:
memory leak

Expected results:
no memory leak

Additional info:
It was noticed on OpenSUSE too:
http://redmine.audacious-media-player.org/boards/1/topics/624

When they tried Cairo package that does not perform subpixel, the memory leak was gone.
Comment 1 Fedora End Of Life 2013-12-21 04:52:30 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 08:49:57 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.